Subject: bug#25754: 24.5; gdb goes wrong when using non-English file or directory name

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Feb 2017 19:52:08 +0200

> From: "chrt" <[email-masked]>
> Date: Thu, 16 Feb 2017 23:10:05 +0800
> Feedback-ID: webmail:qq.com:bgforeign:bgforeign1
> 
> I opened a existing C++ source code with Chinese file name,
> then used `M-x gdb`:`gdb -i=mi xxx` and `M-x gdb-many-windows`.
> Trying clicking the fringe to set a breakpoint, I didn't get a little red
> point as expected, though it appeared successfully in the breakpoints
> buffer. However, then I was told that `Use M-x make-directory RET RET
> to create the directory and its parents`. Clicking the fringe again, it 
> told me
> `File /home/_directory_name_/"/home/_directory_name_/_some_strange_numbers_with_backslash_.cpp"
> is read-only on disk. Make buffer read-only, too? (y or n)`
> 
> After changing the file name into a English one, gdb worked normally. It
> also went wrong when picking a Chinese directory name.

Please upgrade to Emacs 25.1, this problem should be fixed there.  If
this still doesn't work out-of-the-box in Emacs 25.1, customize
gdb-mi-decode-strings to a non-nil value.